<?php namespace Place_user\Api;
use Dever;
use Manage\Lib\Auth;
class Manage extends Auth
{
    public function getRoleLevel($value)
    {
        if (is_array($value)) {
            $value = end($value);
        }
        $result = array();
        $result['role_level_id']['value'] = '';
        if (!$value) {
            $result['role_level_id']['option'] = array();
            return $result;
        }
        $result['role_level_id']['option'] = Dever::db('role_level', 'place_user')->select(array('role_id' => $value));
        return $result;
    }
}